Ubuntu

kernel 2.6.27-7-generic bug BUG: scheduling while atomic: swapper/0/0x00000100

Reported by Michal Koziorowski on 2008-10-20
634
This bug affects 85 people
Affects Status Importance Assigned to Milestone
Intel Linux Wireless
Fix Released
High
sysklogd
Invalid
Undecided
Unassigned
linux (Fedora)
Fix Released
Unknown
linux (Ubuntu)
High
Unassigned
Intrepid
High
Tim Gardner

Bug Description

***Important summary for those experiencing this bug***
Kernel versions where this bug is fixed:
1) 2.6.27-10 from intrepid-proposed

Kernel versions where this bug is NOT fixed (if you are running one of these, please upgrade to known working kernel):
1) 2.6.27-7 from intrepid
2) 2.6.27-9 from intrepid-updates and intrepid-security

If you are experiencing this bug, please remove the linux-backports-modules packages too, as they don't contain a fix

****

Today I found strange bug in kernel. My system was very slow and I found dd and klogd are taking 100% of my cpu.
I take a look in /var/log/kern.log and saw those errors:

Oct 20 05:40:35 michallo-laptop kernel: [21300.953136] CE: hpet increasing min_delta_ns to 33750 nsec
Oct 20 06:02:06 michallo-laptop kernel: [22591.473112] CE: hpet increasing min_delta_ns to 50624 nsec
Oct 20 07:00:34 michallo-laptop kernel: [26099.438256] BUG: scheduling while atomic: swapper/0/0x00000100
Oct 20 07:00:34 michallo-laptop kernel: [26099.438265] Modules linked in: af_packet binfmt_misc sco bridge stp rfcomm bnep l2cap ipv6 ppdev acpi_cpufreq cpufreq_ondemand cpufreq_userspace cpufreq_stats freq_
table cpufreq_powersave cpufreq_conservative pci_slot sbs sbshc container iptable_filter ip_tables x_tables sbp2 parport_pc lp parport joydev arc4 ecb crypto_blkcipher dcdbas psmouse serio_raw pcspkr iwlagn
btusb bluetooth iwlcore snd_hda_intel evdev rfkill snd_pcm_oss led_class snd_mixer_oss mac80211 snd_pcm sdhci_pci sdhci cfg80211 uvcvideo mmc_core compat_ioctl32 videodev ricoh_mmc v4l1_compat iTCO_wdt snd_s
eq_dummy iTCO_vendor_support nvidia(P) snd_seq_oss i2c_core video output snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd battery wmi button soundcore ac shpchp pci_hotplug sn
d_page_alloc intel_agp agpgart ext3 jbd mbcache usb_storage sr_mod cdrom usbhid hid sd_mod crc_t10dif sg ata_piix ata_generic libusual ahci pata_acpi ohci1394 slI imt/so9lp2_4t_k8_+l+0er/cshp_uh 45667d4 /69
Oct 20 07:00:34 michallo-laptop kernel: >7e>19at3 r<lel tng b .0<,1exf0b11e x] 341>t 2.8ohoc2_ern
Oct 20 07:00:34 michallo-laptop kernel: fxx3s6[e3lepi_nre.:s<cas95mwi]101c10n[/9r9[>pr1Tratd0]0<: t05[_20.[n00/>>5.>e20eendete2 300 sec>p2t>01aes]x0x02a8 snodcl>P<c4 ca21 a0ex0<e4]<769 p_
Oct 20 07:00:34 michallo-laptop kernel: qaas _0>0]0re
Oct 20 07:00:34 michallo-laptop kernel: >l4d4__i]0o1x14 b=ro_erta[G0S:6:d<m4<8 2 9 >]0a000
Oct 20 07:00:34 michallo-laptop kernel: .ttcvo ->E1D[9+14a?et[74 4>4u02xd3kus rskbI]60f=0< 1xa90[447<00t 40=]ulrctictlD:09<f1740mxa<1[sr>_+b6=44cbimts4P65R>0-vc>tpdhe22>9
Oct 20 07:00:34 michallo-laptop kernel: ad9=4bmbl_qisW 954x]4/9<kbpe 03x40o2x=0ecsp_q_de[7cC0c= 02u 2c0be20+cc>.il sipri_io447R 4e4 6nb4i5]4 a7fs4xgaocv ewr d2
Oct 20 07:00:34 michallo-laptop kernel: b[+[r1eetzceed50<?l>mtausrwmeehg47 0 r<>1eetzceed57<?l>mtausrwmvn :i0 l2 ea]e5cr604x20?00>mtuesrl_eehg< :f6cr[0 efzceed57<?l>mtausrrl_c n02 u=:8a9e5cr6.4520?00>mtues
rl_eehc47 05r4[0
Oct 20 07:00:34 michallo-laptop kernel: cceed50<?l>mtausrw_eehg47 05u4>1eet.c30x20?00>mtuesrl_eehg< 05u4>1eetzceed50<?l>mtausrrlvn :i02 l2 ea]e5cae1_520?00>mtuesrl_eehg47:06u>[0
Oct 20 07:00:34 michallo-laptop kernel: cc9e<50<?l>mtausrrl_c 00G0.=0
Oct 20 07:00:34 michallo-laptop kernel: 1 etzceed57<?l>mtausrrl_c n0. [=:ea]e5cr6.4520?00>mtuesrl_eehg47 06u>[0
Oct 20 07:00:34 michallo-laptop kernel: cc9 <570?0>mdturr1ecl:0ED2l<>i>1eetzce <520?i>4mtusersrnsh
Oct 20 07:00:34 michallo-laptop kernel: 740GC:C20 R04l.u05e4=2 uh1r r<068k[>a>]019] e e]
Oct 20 07:00:34 michallo-laptop kernel: [eo55ftdc0cz.4a ccf609slot ert_pc rrwlsd1lm_rie_vencorestl sd2:n g68>ir<::00074D:20 0R0 f2 4[l6 < =4ce>m:->601e_>a>]019] e e]
Oct 20 07:00:34 michallo-laptop kernel: [eo55ftdc0c0.4ra crf60930.1
Oct 20 07:00:34 michallo-laptop kernel: 04_0<dx5>] c260270d8>] <4? acpi09ei0l0>[26094mic: swdt_miscaufreq_ueslot sert_pc rrwlsd1lm_rie_vencornestl dh2:n g68>ir<::00074DG2000R
Oct 20 07:00:34 michallo-laptop kernel: f2 4[l6 < =4ce>m:-46
Oct 20 07:00:34 michallo-laptop kernel: [e[>a>]019] e e]
Oct 20 07:00:34 michallo-laptop kernel: [eo55ftdc0c0.4ra crf6e9e301
Oct 20 07:00:34 michallo-laptop kernel: e440<dx5>] c260270d8>] <4? acpi_0ei0l0>[26094mic: swt_miscaufreq_ueslot sert_pc rrwlsd1lm_rie_vencornestl sh2:n g
Oct 20 07:00:34 michallo-laptop kernel: 8>ir<::00074D: 0 0R0 f2]4[l6 < =4ue1m -46
Oct 20 07:00:34 michallo-laptop kernel: [e[>a>]019] e e]
Oct 20 07:00:34 michallo-laptop kernel: [eo55ftdc0c0.4ra crf6e0e30.
...
...
ct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c036edb3>] rest_init+0x53/0x60
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] =======================
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] bad: scheduling f8/0x100
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c0137682>] __do_softirq+0x92/0x120
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c013776d>] do_softirq+0x5d/0x60
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c01378e5>] irq_exit+0x55/0x90
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c0106c1a>] do_IRQ+0x4a/0x80
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c0105003>] common_interrupt+0x23/0x30
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c01700d8>] ? __audit_mq_getsetattr+0x68/0xb0
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<f885a800>] ? acpi_idle_enter_bm+0x268/0x2b7 [processor]
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c02dbf6b>] cpuidle_idle_call+0x7b/0xd0
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c010288d>] cpu_idle+0x7d/0x140
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c036edb3>] rest_init+0x53/0x60
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] =======================
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] BUG: scheduling while atomic: swapper/0/0x00000100
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] Modules linked in: af_packet binfmt_misc sco bridge stp rfcomm bnep l2cap ipv6 ppdev acpi_cpufreq cpufreq_ondemand cpufreq_userspace cpufreq_stats freq_
table cpufreq_powersave cpufreq_conservative pci_slot sbs sbshc container iptable_filter ip_tables x_tables sbp2 parport_pc lp parport joydev arc4 ecb crypto_blkcipher dcdbas psmouse serio_raw pcspkr iwlagn
btusb bluetooth iwlcore snd_hda_intel evdev rfkill snd_pcm_oss led_class snd_mixer_oss mac80211 snd_pcm sdhci_pci sdhci cfg80211 uvcvideo mmc_core compat_ioctl32 videodev ricoh_mmc v4l1_compat iTCO_wdt snd_s
eq_dummy iTCO_vendor_support nvidia(P) snd_seq_oss i2c_core video output snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd battery wmi button soundcore ac shpchp pci_hotplug sn
d_page_alloc intel_agp agpgart ext3 jbd mbcache usb_storage sr_mod cdrom usbhid hid sd_mod crc_t10dif sg ata_piix ata_generic libusual ahci pata_acpi ohci1394 sky2 libata scsi_mod dock ieee1394 uhci_hcd ehci
Oct 20 07:00:34 michallo-laptop kernel: hcd usbcore thermal processor fan fbcon tileblit font bitblit softcursor fuse
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015]
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] Pid: 0, comm: swapper Tainted: P W (2.6.27-7-generic #1)
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] EIP: 0060:[<f885a800>] EFLAGS: 00000246 CPU: 0
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] EIP is at acpi_idle_enter_bm+0x268/0x2b7 [processor]
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] EAX: c0510760 EBX: 0000daf7 ECX: 00000000 EDX: 01cfe000
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] ESI: 00000000 EDI: 009cbbdf EBP: c04a7f90 ESP: c04a7f74
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] CR0: 8005003b CR2: b59b3000 CR3: 00515000 CR4: 00000690
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] DR6: ffff0ff0 DR7: 00000400
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c02dbf6b>] cpuidle_idle_call+0x7b/0xd0
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c010288d>] cpu_idle+0x7d/0x140
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] [<c036edb3>] rest_init+0x53/0x60
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] =======================
Oct 20 07:00:34 michallo-laptop kernel: [26099.444015] bad: scheduling from the idle thread!
...

my kern.log very fast grew up to 2048MB.

Michal Koziorowski (mkozioro) wrote :
Michal Koziorowski (mkozioro) wrote :
Michal Koziorowski (mkozioro) wrote :
Michal Koziorowski (mkozioro) wrote :
Michal Koziorowski (mkozioro) wrote :
arno_b (arno.b) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.
This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage.
I have classified this bug as a bug in linux.

Antonio Salazar (asalazarmx) wrote :
Download full text (3.9 KiB)

I can confirm this bug, using a Sony Vaio VGN-FZ250FE laptop with Ubuntu 8.10 testing.

The kern.log, messages and syslog in /var/log grew to 2048Mb repeating these lines over and over:
Oct 21 18:01:12 BorgClown kernel: [22516.821257] =======================
Oct 21 18:01:12 BorgClown kernel: [22516.821344] bad: scheduling from the idle thread!
Oct 21 18:01:12 BorgClown kernel: [22516.821347] Pid: 0, comm: swapper Tainted: P 2.6.27-7-generic #1
Oct 21 18:01:12 BorgClown kernel: [22516.821356] [<c037c3e6>] ? printk+0x1d/0x1f
Oct 21 18:01:12 BorgClown kernel: [22516.821361] [<c0122b8a>] dequeue_task_idle+0x2a/0x40
Oct 21 18:01:12 BorgClown kernel: [22516.821364] [<c012107f>] dequeue_task+0xcf/0x130
Oct 21 18:01:12 BorgClown kernel: [22516.821367] [<c012112a>] deactivate_task+0x1a/0x30
Oct 21 18:01:12 BorgClown kernel: [22516.821371] [<c037ca03>] schedule+0x4b3/0x790
Oct 21 18:01:12 BorgClown kernel: [22516.821375] [<c014d3bb>] ? sched_clock_tick+0x7b/0xb0
Oct 21 18:01:12 BorgClown kernel: [22516.821379] [<c0153dcc>] ? tick_nohz_stop_idle+0x5c/0x70
Oct 21 18:01:12 BorgClown kernel: [22516.821384] [<c0153e15>] ? tick_nohz_restart_sched_tick+0x35/0x180
Oct 21 18:01:12 BorgClown kernel: [22516.821388] [<c01028cd>] cpu_idle+0xbd/0x140
Oct 21 18:01:12 BorgClown kernel: [22516.821391] [<c036edb3>] rest_init+0x53/0x60
Oct 21 18:01:12 BorgClown kernel: [22516.821395] =======================
Oct 21 18:01:12 BorgClown kernel: [22516.821458] bad: scheduling from the idle thread!
Oct 21 18:01:12 BorgClown kernel: [22516.821461] Pid: 0, comm: swapper Tainted: P 2.6.27-7-generic #1
Oct 21 18:01:12 BorgClown kernel: [22516.821463] [<c037c3e6>] ? printk+0x1d/0x1f
Oct 21 18:01:12 BorgClown kernel: [22516.821468] [<c0122b8a>] dequeue_task_idle+0x2a/0x40
Oct 21 18:01:12 BorgClown kernel: [22516.821471] [<c012107f>] dequeue_task+0xcf/0x130
Oct 21 18:01:12 BorgClown kernel: [22516.821475] [<c012112a>] deactivate_task+0x1a/0x30
Oct 21 18:01:12 BorgClown kernel: [22516.821478] [<c037ca03>] schedule+0x4b3/0x790
Oct 21 18:01:12 BorgClown kernel: [22516.821482] [<c014d3bb>] ? sched_clock_tick+0x7b/0xb0
Oct 21 18:01:12 BorgClown kernel: [22516.821486] [<c0153dcc>] ? tick_nohz_stop_idle+0x5c/0x70
Oct 21 18:01:12 BorgClown kernel: [22516.821490] [<c0153e15>] ? tick_nohz_restart_sched_tick+0x35/0x180
Oct 21 18:01:12 BorgClown kernel: [22516.821494] [<c01028cd>] cpu_idle+0xbd/0x140
Oct 21 18:01:12 BorgClown kernel: [22516.821497] [<c036edb3>] rest_init+0x53/0x60
Oct 21 18:01:12 BorgClown kernel: [22516.821501] =======================
Oct 21 18:01:12 BorgClown kernel: [22516.821663] bad: scheduling from the idle thread!
Oct 21 18:01:12 BorgClown kernel: [22516.821666] Pid: 0, comm: swapper Tainted: P 2.6.27-7-generic #1
Oct 21 18:01:12 BorgClown kernel: [22516.821668] [<c037c3e6>] ? printk+0x1d/0x1f
Oct 21 18:01:12 BorgClown kernel: [22516.821672] [<c0122b8a>] dequeue_task_idle+0x2a/0x40
Oct 21 18:01:12 BorgClown kernel: [22516.821675] [<c012107f>] dequeue_task+0xcf/0x130
Oct 21 18:01:12 BorgClown kernel: [22516.821679] [<c012112a>] deactivate_task+0x1a/0x30
Oct 21 18:01:12 BorgClown kernel: [22516.821683] [<c037ca03>] sche...

Read more...

Alex Willmer (alex-moreati) wrote :

Same on an M1330 with kernel 2.6.27-7.13, at home where I use the wireless.

Michal Koziorowski (mkozioro) wrote :

I saw that error only once. It is very hard to reproduce, but I think I saw it also when using wireless network.

Michal Koziorowski (mkozioro) wrote :

I was wrong, I see error too often :). How can I help? What logs or additional informations are required?

Michal Koziorowski (mkozioro) wrote :

I send part of my current log.

Benjamin Wohlwend (piquadrat) wrote :

My computer shows the same (or a similar) bug. dd and klogd cause considerable load (50% each) and several logfiles (messages, kern.log, syslog) grow at a staggering pace. I actually noticed the problem when those logs used up all the available space.

Due to the excessive resource consumption of this bug, I'd consider it to be critical.

Dylan McCall (dylanmccall) wrote :

Have been encountering kernel panics very frequently here, both while the system is active and idle, although never with much justification. (Just basic use aboard some pretty meaty hardware). I just recently noticed the message in the log after remembering to check it.

System does slow down frequently and hang without kernel panics, which suggests scheduler problems.

Regrettably my previous logs have been erased so I have no way of finding out whether old lockups were caused by the same issue. I was actually away when this happened and returned hours later to find my computer in a panicked state. At this point I am just guessing that this bug killed it since it is the last thing in my log.

I am attaching my syslog, as well as user.log and daemon.log...

For quick reference, here is the offending snippet from syslog, line 72:
Oct 24 11:52:43 dylan-laptop kernel: [17183.342141] BUG: scheduling while atomic: swapper/0/0x00000100

Here is something I found in daemon.log a few seconds before the crash:
Oct 24 11:13:07 dylan-laptop NetworkManager: <info> (wlan0): supplicant connection state change: 7 -> 6
Oct 24 11:13:07 dylan-laptop NetworkManager: <info> (wlan0): supplicant connection state change: 6 -> 7
Oct 24 11:51:47 dylan-laptop NetworkManager: <info> (wlan0): supplicant connection state change: 7 -> 6
Oct 24 11:51:47 dylan-laptop NetworkManager: <info> (wlan0): supplicant connection state change: 6 -> 7
Oct 24 11:52:22 dylan-laptop NetworkManager: <info> (wlan0): supplicant connection state change: 7 -> 6
Oct 24 11:52:22 dylan-laptop NetworkManager: <info> (wlan0): supplicant connection state change: 6 -> 7
That event doesn't happen very often, so may be related. Still possibly a coincidence.

The event at 17:31 and onwards is restarting after a hard power off.

Michal Koziorowski (mkozioro) wrote :

It is a Ubuntu intrepid bug. How to change url to https://bugs.launchpad.net/ubuntu/intrepid/+source/linux/+bug/somenumber?

Ali Sheikh (asheikh) wrote :

I can see this bug on my Intrepid installation running on a Lenovo Thinkpad T61p. The problem occurred for the first time today. I am not sure if this is related to updates I installed yesterday (Oct 24).

I have the x86-32 2.6.27-7-generic kernel installed.

Oct 25 12:36:12 crazy88 kernel: [77144.122543] =======================
Oct 25 12:36:12 crazy88 kernel: [77144.122668] bad: scheduling from the idle thread!
Oct 25 12:36:12 crazy88 kernel: [77144.122671] Pid: 0, comm: swapper Tainted: P 2.6.27-7-generic #1
Oct 25 12:36:12 crazy88 kernel: [77144.122673] [<c037c3f6>] ? printk+0x1d/0x1f
Oct 25 12:36:12 crazy88 kernel: [77144.122676] [<c0122b8a>] dequeue_task_idle+0x2a/0x40
Oct 25 12:36:12 crazy88 kernel: [77144.122679] [<c012107f>] dequeue_task+0xcf/0x130
Oct 25 12:36:12 crazy88 kernel: [77144.122682] [<c012112a>] deactivate_task+0x1a/0x30
Oct 25 12:36:12 crazy88 kernel: [77144.122685] [<c037ca13>] schedule+0x4b3/0x790
Oct 25 12:36:12 crazy88 kernel: [77144.122688] [<c014d3bb>] ? sched_clock_tick+0x7b/0xb0
Oct 25 12:36:12 crazy88 kernel: [77144.122697] [<c0153dcc>] ? tick_nohz_stop_idle+0x5c/0x70
Oct 25 12:36:12 crazy88 kernel: [77144.122706] [<c0153e15>] ? tick_nohz_restart_sched_tick+0x35/0x180
Oct 25 12:36:12 crazy88 kernel: [77144.122710] [<c01028cd>] cpu_idle+0xbd/0x140
Oct 25 12:36:12 crazy88 kernel: [77144.122712] [<c036edc3>] rest_init+0x53/0x60
Oct 25 12:36:12 crazy88 kernel: [77144.122715] =======================

Anthony Noto (angusthefuzz) wrote :

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: New → Confirmed
Download full text (6.7 KiB)

HiI have the same kind of problem (dd and klogd taking up a lot of processor cycles). Appears almost daily. If additional info is needed, please drop me a mail. I added also some parts of my syslog. I am using the RC of intrepid. It seems to be related to the wireless module.

Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858677] bad: scheduling from the idle thread!
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858684] Pid: 0, comm: swapper Tainted: P 2.6.27-7-generic #1
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858688]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858689] Call Trace:
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858692] <IRQ> [<ffffffff8023e06d>] dequeue_task_idle+0x2d/0x40
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858705] [<ffffffff8023c436>] dequeue_task+0x96/0xe0
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858711] [<ffffffff8023c4d3>] deactivate_task+0x23/0x30
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858717] [<ffffffff80500685>] thread_return+0x108/0x3c3
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858724] [<ffffffff80500d33>] schedule_timeout+0x63/0xd0
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858732] [<ffffffff8025a3d0>] ? process_timeout+0x0/0x10
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858739] [<ffffffff80500d2e>] ? schedule_timeout+0x5e/0xd0
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858746] [<ffffffff80500dbe>] schedule_timeout_uninterruptible+0x1e/0x20
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858752] [<ffffffff8025ab85>] msleep+0x25/0x40
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858774] [<ffffffffa0b26ca3>] iwl_scan_cancel_timeout+0x63/0xb0 [iwlcore]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858792] [<ffffffffa0b38031>] iwl4965_mac_update_tkip_key+0x51/0x120 [iwlagn]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858822] [<ffffffffa0aadcde>] ieee80211_tkip_decrypt_data+0x19e/0x230 [mac80211]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858832] [<ffffffff802475bd>] ? default_wake_function+0xd/0x10
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858838] [<ffffffff8023c8ca>] ? __wake_up_common+0x5a/0x90
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858865] [<ffffffffa0aa3929>] ieee80211_crypto_tkip_decrypt+0xd9/0x130 [mac80211]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858893] [<ffffffffa0ab01d8>] ieee80211_rx_h_decrypt+0x1b8/0x1d0 [mac80211]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858920] [<ffffffffa0ab24c8>] ieee80211_invoke_rx_handlers+0x108/0x2e0 [mac80211]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858948] [<ffffffffa0ab1ec9>] __ieee80211_rx_handle_packet+0x289/0x380 [mac80211]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.858976] [<ffffffffa0ab2786>] __ieee80211_rx+0xe6/0x200 [mac80211]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.859002] [<ffffffffa0a9f64e>] ieee80211_tasklet_handler+0x12e/0x160 [mac80211]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.859019] [<ffffffffa0b3b309>] ? iwl4965_irq_tasklet+0x129/0x350 [iwlagn]
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.859027] [<ffffffff802546c6>] tasklet_action+0x86/0x110
Oct 26 15:01:35 jeroen-laptop kernel: [ 8973.859034] [<ffffffff80254d8c>] __do_softirq+0x8c/0x100
Oct 26 15:01:35 jeroen-laptop ker...

Read more...

Steffen Rusitschka (rusi) wrote :

Same problem here. And it happens almost once a day. Bug seems critical to me ...

Changed in linux:
importance: Undecided → High
status: Confirmed → Triaged
henriq (henriq) wrote :

I have this problem using a Dell xps m1330.

uname -a: 2.6.27-7-generic #1 SMP Fri Oct 24 06:42:44 UTC 2008 i686 GNU/Linux

dmesg is flooded with post like:

[21823.682414] bad: scheduling from the idle thread!
[21823.682422] Pid: 0, comm: swapper Tainted: P W 2.6.27-7-generic #1
[21823.682428] [<c037c3f6>] ? printk+0x1d/0x1f
[21823.682439] [<c0122b8a>] dequeue_task_idle+0x2a/0x40
[21823.682447] [<c012107f>] dequeue_task+0xcf/0x130
[21823.682457] [<c012112a>] deactivate_task+0x1a/0x30
[21823.682466] [<c037ca13>] schedule+0x4b3/0x790
[21823.682475] [<c014d3bb>] ? sched_clock_tick+0x7b/0xb0
[21823.682487] [<c0153dcc>] ? tick_nohz_stop_idle+0x5c/0x70
[21823.682497] [<c0153e15>] ? tick_nohz_restart_sched_tick+0x35/0x180
[21823.682508] [<c01028cd>] cpu_idle+0xbd/0x140
[21823.682516] [<c037a651>] start_secondary+0x9d/0xcc
[21823.682526] =======================

I have to turn klogd off to be able to use my computer normally. If I do that there is no longer any trace of this problem.

Chris Coulson (chrisccoulson) wrote :

I don't think there is a bug in sysklogd here, so I'm closing that task. klogd is working hard because it is being flooded with call traces from the kernel

Changed in sysklogd:
status: New → Invalid
henriq (henriq) wrote :

That sounds right, my bad.

Alex Willmer (alex-moreati) wrote :

Bug 289808 describes system freezes as the main symptom. I've also seen system freezes, in addition to the high CPU activity. Have any others amongst you seen freezes?

Hi Everyone,

@Michal Koziorowski, from the log files you attached I see you get a flood of "iwlagn: Can not allocate SKB buffers" (see bug 250139) and then you seem to be hit with this bug. I'm guessing from examining from some of the other logs posted here this is related to wifi and specifically the iwlagn driver you all seem to be using. If you can all try the following report back your results that would be great:

1) Try installing the linux-backports-modules package. It recently pulled in an updated version of the compat-wireless stack:

https://edge.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.27

linux-backports-modules-2.6.27 (2.6.27-7.3) intrepid; urgency=low

  [Tim Gardner]

  * Added iwlwifi firmware
  * Added the upstream compat-wireless-2.6 tree.
  * Updated compat-wireless to wireless-testing tag master-2008-10-14
  * Set CONFIG_WIRELESS_OLD_REGULATORY=y by default.

Ideally, the updated version of the driver provided in linux-backports-modules will resolve this issue. If it doesni't help then try the following:

2) Disable wireless by unloading the iwlagn driver - 'sudo rmmod iwlagn'. From the timestamps on the logs it doesn't seem that this issue happens immediately so I don't think it would require require blacklisting the driver from ever loading. Does unloading the driver at least prevent this issue from happening? This will at least confirm my assumption this is related to the iwlagn driver.

Please let us know your results. Thanks.

Michal Koziorowski (mkozioro) wrote :

I forgot to say, that I have been using linux backports modules from the beginning. I cannot repeat the problem now, but I think I will see it again.
I also think bug is related to wireless driver because I saw it twice when using firefox and torrent application. My internet connection speed is about 50KB/s and wireless is mostly not used heavily.

Ing0R (ing0r) wrote :

I am experienceing it on a Thinkpad R61 right now. Can I provide any information to help to resolve this bug?

Thanks Michal. It would be interesting to know if you'd be able to nail down a set of steps to trigger/reproduce this issue. However, it sounds like it isn't happening as frequently as before so it may be hard to do so. Anyways, keep us posted with any news.

@Ing0R (as well as anyone else experiencing this issue) - If you'd like to try what I asked of Michal above - https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/286285/comments/23 - that would be great.

Benjamin Wohlwend (piquadrat) wrote :

@Leann: I installed linux-backports-modules yesterday and, after a reboot, used the WLAN card quite heavily since. After 16 hours of stress testing, the bug has yet to reoccur.

Alex Willmer (alex-moreati) wrote :

Currently using linux-modules-backport-generic 2.6.27-7.4, the "scheduling from the idle thread" problem just occured. I can 90% confirm the problem is wireless related, it's only ever occured at home, where I have WPA Wifi.

Once the problem began, rmmod the iwlagn had no apparent affect, other than disabling wireless. Attached is lspci, and lsmod output. In case either are of use.

Michal Koziorowski (mkozioro) wrote :

I had that error again today.
BUG: scheduling while atomic: swapper/0/0x00000100 .... was proceeded by:
Oct 30 08:31:00 michallo-laptop kernel: [16459.078865] wlan0 direct probe responded
Oct 30 08:31:00 michallo-laptop kernel: [16459.078885] wlan0: authenticate with AP 00:1e:e5:3e:79:20
Oct 30 08:31:00 michallo-laptop kernel: [16459.080769] wlan0: authenticated
Oct 30 08:31:00 michallo-laptop kernel: [16459.080778] wlan0: associate with AP 00:1e:e5:3e:79:20
Oct 30 08:31:00 michallo-laptop kernel: [16459.083234] wlan0: RX ReassocResp from 00:1e:e5:3e:79:20 (capab=0x431 status=0 aid=1)
Oct 30 08:31:00 michallo-laptop kernel: [16459.083241] wlan0: associated
Oct 30 08:31:04 michallo-laptop kernel: [16463.075222] wlan0: deauthenticated
Oct 30 08:31:05 michallo-laptop kernel: [16464.072177] wlan0: direct probe to AP 00:1e:e5:3e:79:20 try 1
Oct 30 08:31:05 michallo-laptop kernel: [16464.074849] wlan0 direct probe responded
Oct 30 08:31:05 michallo-laptop kernel: [16464.074865] wlan0: authenticate with AP 00:1e:e5:3e:79:20
Oct 30 08:31:05 michallo-laptop kernel: [16464.076735] wlan0: authenticated
Oct 30 08:31:05 michallo-laptop kernel: [16464.076749] wlan0: associate with AP 00:1e:e5:3e:79:20
Oct 30 08:31:05 michallo-laptop kernel: [16464.079203] wlan0: RX ReassocResp from 00:1e:e5:3e:79:20 (capab=0x431 status=0 aid=1)
Oct 30 08:31:05 michallo-laptop kernel: [16464.079215] wlan0: associated
Oct 30 11:10:11 michallo-laptop kernel: [26009.696222] wlan0: No ProbeResp from current AP 00:1e:e5:3e:79:20 - assume out of range
Oct 30 11:10:25 michallo-laptop kernel: [26024.266423] wlan0: deauthenticated
Oct 30 11:10:25 michallo-laptop kernel: [26024.275783] wlan0: direct probe to AP 00:1e:e5:3e:79:20 try 1
Oct 30 11:10:25 michallo-laptop kernel: [26024.289945] wlan0: direct probe to AP 00:1e:e5:3e:79:20 try 1
Oct 30 11:10:25 michallo-laptop kernel: [26024.292624] wlan0 direct probe responded
Oct 30 11:10:25 michallo-laptop kernel: [26024.292640] wlan0: authenticate with AP 00:1e:e5:3e:79:20
Oct 30 11:10:25 michallo-laptop kernel: [26024.294492] wlan0: authenticated
Oct 30 11:10:25 michallo-laptop kernel: [26024.294501] wlan0: associate with AP 00:1e:e5:3e:79:20
Oct 30 11:10:25 michallo-laptop kernel: [26024.297143] wlan0: RX ReassocResp from 00:1e:e5:3e:79:20 (capab=0x431 status=0 aid=1)
Oct 30 11:10:25 michallo-laptop kernel: [26024.297157] wlan0: associated

Maybe it is related. I also have:
iwlagn: Can not allocate SKB buffers but it was hours before BUG: scheduling while atomic: swapper... appeared.
I use newest packages + linux-backports-modules. I will try now using laptop without linux-backports-modules

Benjamin Wohlwend (piquadrat) wrote :

Well, the bug reappeared today, which makes me suspect that the graphics card may play a role. My laptop (ThinkPad T400) has both a discrete graphics card (ATi 3470 or something like that) and an onboard Intel chip (4500MHD). When I saw the bug last week, I had the Intel chip activated. Later, I changed to the ATi card and the bug disappeared. Today, I went back to the Intel chip, and there it is again.

Of course, Michal Koziorowski and Alex Willmer both have an nVidia graphics card according to their logs, which doesn't really support this theory.

Anyway, linux-backports-modules doesn't seem to resolve this bug (sorry for the false alarm above).

Ryan Maki (ryan.maki) wrote :

I am adding attachments gathered from my Dell Latitude D630 running Linux 2.6.27-7-generic #1 SMP Thu Oct 30 04:18:38 UTC 2008 i686 (2.6.27.7.11) and linux-backports-modules-intrepid-generic 2.6.27.7.11.

* 10K lines from kern.log starting with the crash, which occurred immediately after I ran Add/Remove and failed to properly install "Active Directory Membership" (likewise-open) because I canceled configuration of "krb5-config" due to lack of kerberos information on hand. I was running on a wireless network at the time of the crash.

* lspci and lsmod

I've killed klogd and dd since they were filling up my /var/log folder and the system is running, but still logging plenty of messages to the console.

Ivà Burgos (ivaburgos) wrote :
Download full text (4.2 KiB)

Same here using a Dell Latitude E6400 with an nvidia quadro 160M and an Intel WiFi 5100.
Bug always happen under heavy use of WPA wifi network.

Nov 1 22:04:09 ithil kernel: [ 2042.313640] BUG: scheduling while atomic: swapper/0/0x00000100
Nov 1 22:04:09 ithil kernel: [ 2042.313656] Modules linked in: ipv6 af_packet sco rfcomm bridge stp bnep l2cap bluetooth ppdev sbs sbshc container pci_slot acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_stats cpufreq_conservative cpufreq_ondemand freq_table iptable_filter ip_tables x_tables sbp2 parport_pc lp parport arc4 ecb joydev crypto_blkcipher iwlagn iwlcore snd_hda_intel rfkill snd_pcm_oss led_class snd_mixer_oss dcdbas serio_raw mac80211 evdev snd_pcm psmouse snd_seq_dummy cfg80211 snd_seq_oss pcspkr nvidia(P) snd_seq_midi i2c_core sdhci_pci video snd_rawmidi output sdhci snd_seq_midi_event mmc_core wmi ricoh_mmc snd_seq battery button ac snd_timer snd_seq_device snd soundcore intel_agp agpgart snd_page_alloc shpchp pci_hotplug ext3 jbd mbcache sr_mod cdrom sd_mod crc_t10dif sg usbhid hid ahci libata scsi_mod dock ohci1394 uhci_hcd ehci_hcd ieee1394 e1000e usbcore thermal processor fan fbcon tileblit font bitblit softcursor fuse
Nov 1 22:04:09 ithil kernel: [ 2042.313848]
Nov 1 22:04:09 ithil kernel: [ 2042.313855] Pid: 0, comm: swapper Tainted: P (2.6.27-7-generic #1)
Nov 1 22:04:09 ithil kernel: [ 2042.313861] EIP: 0060:[<f885e800>] EFLAGS: 00000246 CPU: 1
Nov 1 22:04:09 ithil kernel: [ 2042.313878] EIP is at acpi_idle_enter_bm+0x268/0x2b7 [processor]
Nov 1 22:04:09 ithil kernel: [ 2042.313885] EAX: c0510760 EBX: 00000415 ECX: 00000000 EDX: 013f2000
Nov 1 22:04:09 ithil kernel: [ 2042.313890] ESI: 00000000 EDI: 0094f86a EBP: f7477f80 ESP: f7477f64
Nov 1 22:04:09 ithil kernel: [ 2042.313895] DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Nov 1 22:04:09 ithil kernel: [ 2042.313901] CR0: 8005003b CR2: b6d13000 CR3: 00515000 CR4: 00000690
Nov 1 22:04:09 ithil kernel: [ 2042.313906] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Nov 1 22:04:09 ithil kernel: [ 2042.313911] DR6: ffff0ff0 DR7: 00000400
Nov 1 22:04:09 ithil kernel: [ 2042.313917] [<c02dbf7b>] cpuidle_idle_call+0x7b/0xd0
Nov 1 22:04:09 ithil kernel: [ 2042.313930] [<c010288d>] cpu_idle+0x7d/0x140
Nov 1 22:04:09 ithil kernel: [ 2042.313939] [<c037a661>] start_secondary+0x9d/0xcc
Nov 1 22:04:09 ithil kernel: [ 2042.313952] =======================
Nov 1 22:04:09 ithil kernel: [ 2042.313957] bad: scheduling from the idle thread!
Nov 1 22:04:09 ithil kernel: [ 2042.313964] Pid: 0, comm: swapper Tainted: P 2.6.27-7-generic #1
Nov 1 22:04:09 ithil kernel: [ 2042.313971] [<c037c406>] ? printk+0x1d/0x1f
Nov 1 22:04:09 ithil kernel: [ 2042.313980] [<c0122b8a>] dequeue_task_idle+0x2a/0x40
Nov 1 22:04:09 ithil kernel: [ 2042.313988] [<c012107f>] dequeue_task+0xcf/0x130
Nov 1 22:04:09 ithil kernel: [ 2042.313998] [<c012112a>] deactivate_task+0x1a/0x30
Nov 1 22:04:09 ithil kernel: [ 2042.314006] [<c037ca23>] schedule+0x4b3/0x790
Nov 1 22:04:09 ithil kernel: [ 2042.314015] [<c012b6ab>] ? default_wake_function+0xb/0x10
Nov 1 22:04:09 ithil kernel: [ 2042.314025] [<c037e511>] ? _spin_l...

Read more...

Jordan Small (jsmall) wrote :

I'm am also seeing this same error. However I have only noticed it and can reproduce it by using WPA2. Killing klogd allows me to continue working. I am able to use my wireless card on all networks except those that are WPA2. Wired networking seems to be working just fine as well. If I also disable wireless networking completely, I don't see that problem.

I have an HP Elitebook 6930p
Wifi link 5100

Jeremy Wells (jemmyw) wrote :

I'm also on a WPA2 network, Dell inspiron 1720 with an intel wireless 4965. The problem seems to occur most often when there is a lot of wireless activity, but it is too sporadic to pin down exactly.

Antonio Salazar (asalazarmx) wrote :

I'm using WPA2 too.

Even after disabling klogd, I get sporadic kernel panics (freeze and blinking keyboard leds) almost daily.

My wifi card, as reported by lspci, is a: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61).

It might be unimportant, but the emifreq-applet panel applet always abends on logon, but after choosing to reload it, it works well. I've attached my /proc/cpuinfo.

Billy Crook (billycrook) wrote :
Download full text (3.2 KiB)

I use WPA2 Enterprise when this happens. My username is simple, but my password is long and includes many special characters. A verbose lspci of my wifi card is below. I also use a docking station, and network manager. Is anyone with this bug NOT using the Intel 4965AG, rev61?

What 'Type' of WPA2 are you all using?

My access point is some blue, NetGear, small business WAP. The same subnet is in use wirelessly and on the wired lan. What access points are we using?

Could this be some switching loop?

I will try to cause it with high network load. At home on WPA2 Personal, and Monday, at work.

On the topic of graphics cards, I'm using an Quadro FX 3600M vbios version 62.92.2b.00.03. Is anyone seeing this error without proprietary graphics drivers?

0c:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 4965 AG or
AGN Network Connection [8086:4229] (rev 61)
 Subsystem: Intel Corporation Device [8086:1120]
 Flags: bus master, fast devsel, latency 0, IRQ 10
 Memory at 00000000f1ffe000 (64-bit, non-prefetchable)
 Capabilities: [c8] Power Management version 3
 Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Count=1/1
Enable-
 Capabilities: [e0] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
  UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP-
ECRC- UnsupReq- ACSVoil-
  UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP-
ECRC- UnsupReq- ACSVoil-
  UESvrt: DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+
ECRC- UnsupReq- ACSVoil-
  CESta: RxErr+ BadTLP+ BadDLLP- Rollover- Timeout- NonFatalErr-
  CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
  AERCap: First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
 Capabilities: [140] Device Serial Number ed-03-7c-ff-ff-3b-1f-00
 Kernel driver in use: iwlagn
 Kernel modules: iwlagn

01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:061c] (rev a2) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:019b]
 Flags: bus master, fast devsel, latency 0, IRQ 7
 Memory at f5000000 (32-bit, non-prefetchable)
 Memory at 00000000e0000000 (64-bit, prefetchable)
 Memory at 00000000f2000000 (64-bit, non-prefetchable)
 I/O ports at ef00
 Capabilities: [60] Power Management version 3
 Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
 Capabilities: [78] Express Endpoint, MSI 00
 Capabilities: [100] Virtual Channel <?>
 Capabilities: [128] Power Budgeting <?>
 Capabilities: [600] Vendor Specific Information <?>
 Kernel driver in use: nvidia
 Kernel modules: nvidia, nvidiafb

CPU:
processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 23
model name : Intel(R) Core(TM)2 Duo CPU T9300 @ 2.50GHz
stepping : 6
cpu MHz : 800.000
cache size : 6144 KB
physical id : 0
siblings : 2
core id : 1
cpu cores : 2
apicid : 1
initial apicid : 1
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl pni monitor ds_cpl vmx est tm2 ssse3 cx16 xt...

Read more...

1 comments hidden view all 178 comments
Ant Vas (antono) wrote :

02:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

Antonio Salazar (asalazarmx) wrote :

I've checked my settings and I'm using only WPA, not WPA2. The pre-shared key doesn't have special characters and isn't excessively long.

The access point is a D-Link DIR-655 (http://www.dlink.com/products/?pid=530)

Antonio Salazar (asalazarmx) wrote :

Regarding proprietary video drivers, I'm using the NVidia one.

01:00.0 VGA compatible controller: nVidia Corporation G86M [GeForce 8400M GT] (rev a1)
 Subsystem: Sony Corporation Device 9005
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at ce000000 (32-bit, non-prefetchable) [size=16M]
 Memory at d0000000 (64-bit, prefetchable) [size=256M]
 Memory at cc000000 (64-bit, non-prefetchable) [size=32M]
 I/O ports at 2000 [size=128]
 Capabilities: [60] Power Management version 2
 Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
 Capabilities: [78] Express Endpoint, MSI 00
 Capabilities: [100] Virtual Channel <?>
 Capabilities: [128] Power Budgeting <?>
 Capabilities: [600] Vendor Specific Information <?>
 Kernel driver in use: nvidia
 Kernel modules: nvidiafb, nvidia

Changed in linux:
status: Unknown → Confirmed
Changed in intellinuxwireless:
status: Unknown → Confirmed
Changed in intellinuxwireless:
status: Confirmed → Invalid
Changed in intellinuxwireless:
status: Invalid → Fix Released
Tim Gardner (timg-tpi) on 2008-11-05
Changed in linux:
assignee: nobody → timg-tpi
importance: Undecided → High
milestone: none → intrepid-updates
status: New → Fix Committed
Changed in linux:
status: Confirmed → Fix Committed
Changed in linux:
status: Fix Committed → Fix Released
98 comments hidden view all 178 comments
Nikolaj Hansen (barnabasdk) wrote :

I can confirm this bug on HP 8510w with ubuntu 64 bit.

nikolaj@frodo:/var/log$ uname -a
Linux frodo 2.6.27-9-generic #1 SMP Thu Nov 20 22:15:32 UTC 2008 x86_64 GNU/Linux

takeda64 (takeda64) wrote :

Barnabas, please read comments. -9 doesn't have the fix applied. Install -10 from -prerelase and report if you still have problems.

Saúl Romero (spacetree) wrote :

I can confirm it, now solved with proposed updates and... also on fedora 10 beta. I have not cheched if they solved it in the release version.

Just for the record

NickTouik (touikan) wrote :

I can confirm this bug, I'm running
2.6.27-9-generic
In Ubuntu Intrepid on a Sony Vaio VGN-TZ27GN. I have a newbie question: where is the prerelease repository and how do I add it?

On Tue, Dec 02, 2008 at 04:06:56PM -0000, NickTouik wrote:
> I can confirm this bug, I'm running
> 2.6.27-9-generic
> In Ubuntu Intrepid on a Sony Vaio VGN-TZ27GN. I have a newbie question: where is the prerelease repository and how do I add it?

I assume they mean the -proposed repository. Please see
https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
enable and use -proposed.

-apw

Mike Butash (michael-butash) wrote :

I began exhibiting these problems upgrading from gutsy to hardy to ibex the other day, and it got annoying fast. I updated a bit ago to the -10 kernel, and it's much better now. Thanks!

The only side-effect I'm seeing thus far is my thinkfinger/fingerprint hardware is broken and my wireless won't auto-connect any longer after a reboot or suspend/awake. It's a 4965, so i'm assuming it is affected somehow in all of this as you mention iwl specifically. The kernel and firmware blobs are included in the kernel releases, no? Are there separate iwl updates that need applied? Am I the only one seeing this?

Flicking off and on the wireless seems to get it going again. When Network Manager tries, I never see the driver actually attempt to connect to my ssid via iwconfig, though NM clearly says it's trying. After reloading the hardware via hotpug and the switch, NM connects to the ssid, and auths fine. I'll check it a bit more with another suspend or boot to see if the hardware probes properly. Dmesg shows some oddities, included as attachment - my ap is xx:xx...

Something is amiss as NM was perfect before this scheduler bug became an issue. Thoughts on if you believe this was a direct relation to the kernel changes?

I'm not at all sure what's up with the fingerprint reader either, it seems to probe just fine, but I get no response when I attempt "tf-tool --acquire", which normally I would. I was using a dev build of the driver, not the stock ubuntu package, so I'll try reapplying. This pretty much breaks anyone with a thinkpad or dell at moment using that driver.

Let me know if you'd like any specific info, I'd be happy to dig into it a bit more as the hardware switch will get annoying fast.

Dylan McCall (dylanmccall) wrote :

My wireless adapter is connecting smoothly after suspend. I did notice that NetworkManager took a bit longer than usual to detect my network and connect to it, but everything is as before for me except for the very visible absense of a kernel panic. I am running an Intel 4965 abgn card, too, aboard and Asus F8SV-A1 notebook.
The wifi status light still does not light up after resuming from sleep for me, as usual. Other people seem to report different outcomes with that light, so it could be some vendor-specific tweeks on my end.

Who were the changes in iwlagn supposed to benefit? I recall reading somewhere (perhaps here...) that the change was meant to help someone, with unexpected side-effects for some existing users. Is that true?
If so, we REALLY need to find some people who iwlagn worked for in Intrepid and ask them to apply the proposed update.

Further, I think it's important to stress that this patch should be pushed to stable ASAP and Ubuntu's images rebuilt (possibly after a few more bugs like this one are resolved). At the least, something Needs To Be added to the release notes. Shipping with a system crasher like this is very, very bad. Shipping with a system crasher like this after one month (let alone two) is suicidal.
With this bug it is entirely possible that someone could be installing Ubuntu from the live CD and have the thing kernel panic while writing to his MBR. That would be really bad.

I am using the -10 proposed kernel on a Lenovo X301 with Intel 5300 wifi. So I should be using the iwlagn module. It is working for me and no more kernel messages. Still not perfect though, the wifi interface does not come up after a suspend or hibernate. I have to do a

  sudo ifconfig wlan0 up

after any suspend or hibernate. I actually built it into a sleep.d script. Now I reliably get the interface back on resume/thaw.

As long as I bring up the interface fast enough, NetworkManager does reconnect me, though it takes it 10-20 seconds to start reconnecting me.

If I don't manually bring up the interface fast enough after a resume/thaw, I also find I need to restart NetworkManager to convince it to notice the wifi interface and reconnect.

Chris Coulson (chrisccoulson) wrote :

As there seems to be some confusion about which kernels work / don't work, and I'm still finding new duplicates, I added a quick summary to the top of the bug report.

Please correct if any of the information is incorrect (this bug report is quite difficult to follow now)

description: updated
Robb Topolski (funchords) wrote :

+ ***Important summary for those experiencing this bug***
+ Kernel versions where this bug is fixed:
+ 1) 2.6.27-10 from intrepid-proposed

CORRECT

+ Kernel versions where this bug is NOT fixed (if you are running one of these, please upgrade to known working kernel):
+ 1) 2.6.27-7 from intrepid
+ 2) 2.6.27-9 from intrepid-updates and intrepid-security

CORRECT

+ If you are experiencing this bug, please remove the linux-backports-
+ modules packages too, as they don't contain a fix

I have read that here, but I can't vouch for it as I'm not running backports.

Antonio Salazar (asalazarmx) wrote :

This bug has indeed been solved in 2.6.27-10-generic, how long for it to reach the Updates repository? This chipset and card are very common for the bug to remain in the default installation 8.10 almost two months already.
Sometimes the Live CD triggers this bug before the installation is finished.

Michael (michaeljt) wrote :

If the change can't be pushed through fast enough because it needs more testing, what about disabling sysklogd on affected systems as a workaround?

Andrew Todd (at-drinian) wrote :

Thanks for the temporary fix, I was experiencing this problem on a Intel Wifi Link 5100.

However, the update did not fix what I hoped was a related problem, namely, that my network connection is incredibly slow. I have tested my network speeds, with what is reported as a good-quality signal, and can't get any faster than one megabit. Other wireless devices on the same LAN do much better. Is there some known problem with the 5100, or should I be looking to get a new laptop (this is a new computer)?

(I know this isn't quite the right forum, but I know there's a number of 5100 users here. Thanks.)

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Mikel Ward (mikelward) wrote :

According to http://packages.ubuntu.com/intrepid-updates/base/, this STILL isn't in the updates repository.

What's the hold up?

What has worked for me:
Go to "System->Administration->Software Sources".
Under the "Updates" tab, check "Pre-released updates (intrepid-proposed)"
and "Unsupported updates (intrepid-backports)".
Run updates.

On Tue, Jan 6, 2009 at 11:39 AM, Mikel Ward <email address hidden> wrote:

> According to http://packages.ubuntu.com/intrepid-updates/base/, this
> STILL isn't in the updates repository.
>
> What's the hold up?
>
> --
> kernel 2.6.27-7-generic bug BUG: scheduling while atomic:
> swapper/0/0x00000100
> https://bugs.launchpad.net/bugs/286285
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Jamie (superjamie) wrote :

What Mikel means is that this fix should be out of -proposed and into the main intrepid branch, so you don't have to run the -proposed kernel or -backports modules.

I avoid running -proposed updates unless there's a package I specifically know I need, I've had other things break in the past.

James Carroll (jcarroll) wrote :

On Mon, Jan 5, 2009 at 7:22 PM, Super Jamie <email address hidden> wrote:

> What Mikel means is that this fix should be out of -proposed and into
> the main intrepid branch, so you don't have to run the -proposed kernel
> or -backports modules.

I very much agree with Mikel. This bug is the single reason I dropped
Ubuntu 8.10 and went back to 8.04 LTS.

I am very surprised that this bug persists in the 8.10 Live (and Install) CD
distributed from Ubuntu. Does Canonical lack resources to fix it? or, Is
this bug not considered priority? When should I plan to upgrade to 8.10?
In a month? Or, should I just wait for 9.04?

Cheers,
James

>
>
> I avoid running -proposed updates unless there's a package I
> specifically know I need, I've had other things break in the past.
>
> --
> kernel 2.6.27-7-generic bug BUG: scheduling while atomic:
> swapper/0/0x00000100
> https://bugs.launchpad.net/bugs/286285
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Mikel Ward (mikelward) wrote :

Exactly Jamie.

I'm fine, but I've had friends ask me about this problem, and it's silly that I should have to tell them to enable the -proposed repository.

pauliephonic (pauliephonic) wrote :

I have the same problem as a user noted above with my log files being filled with the following...

Jan 8 19:30:36 media-linux kernel: [ 525.910359] sd 4:0:0:0: [sdb] Sense Key : No Sense [current]
Jan 8 19:30:36 media-linux kernel: [ 525.910367] sd 4:0:0:0: [sdb] Add. Sense: No additional sense information

for 100's of megabytes. The logs will continually grow until I kill dd and klogd

I have no wireless on my computer (a HP mediacenter 1170.uk) so not sure if this is exactly related.

I am running Intrepid an the bug occurs in kernel 27-9 and 27-11. No idea what to do.

First time I've ever been bitten doing an upgrade in Ubuntu.

Regards,

Paul

James Carroll (jcarroll) wrote :

Paul,

On Thu, Jan 8, 2009 at 12:47 PM, pauliephonic <email address hidden>wrote:

> I am running Intrepid an the bug occurs in kernel 27-9 and 27-11. No
> idea what to do.

Did you see Mogwai's post on 5 Jan 2009?

---------- Forwarded message ----------
From: mogwai
Date: Mon, Jan 5, 2009 at 7:05 PM

What has worked for me:
Go to "System->Administration->Software Sources".
Under the "Updates" tab, check "Pre-released updates (intrepid-proposed)"
and "Unsupported updates (intrepid-backports)".
Run updates.

While this is less than ideal, I believe this quick and easy solution will
work for you. Please let us know if it doesn't.

Cheers,
James

co0lingFir3 (coolingfire) wrote :

I experienced this bug a few times (last one 5 min ago). Is there any ETA for kernel 2.6.27-10 reaching intrepid-updates repo? Enabling proposed repo is at best a workaround...

Greetings,
co0lingFir3

Christoph Korn (c-korn) wrote :

Are we being fooled here?

How does it come a bug that produces full cpu usage and a full root partition
does not get fixed since months?

co0lingFir3 (coolingfire) wrote :

That's exactly my point. I mean this is a blocker and therefore should be fixed asap. Is there any known issue with 2.6.27-10 or why isnt it released to intrepid-updates?

Christoph Korn (c-korn) wrote :

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=commit;h=14d108b846d0b561a7def2f4734f112f6f2ce8ba

I have found that the patch that was supposed to fix this bug has been reverted.
But the link to the patch that supersedes it does not work.

pauliephonic (pauliephonic) wrote :

I followed instructions exactly and it made no difference.

Should I even be posting in this thread or somewhere else? I don't have wireless LAN and am now on kernel 2.6.27-11. Is it possible to downgrade Ubuntu? Or do I have to do a full re-install? All older kernels have been removed from the system.

I have attached a stripped syslog. The file was originally over 50Mb (I stopped dd and klogd as soon as I logged in which stopped it from growing even larger)

I have removed any line that matched /sd 4:0:0:0/ with a ruby script, this was to remove all lines like:
>Jan 8 19:30:36 media-linux kernel: [ 525.910359] sd 4:0:0:0: [sdb] Sense Key : No Sense [current]
>Jan 8 19:30:36 media-linux kernel: [ 525.910367] sd 4:0:0:0: [sdb] Add. Sense: No additional sense
which filled up the log

As you can see from the log, the events were happening so often that the log file is corrupted, e.g.

>Jan 13 20:47:13 media-linux kernel: [ 264.719966] sd 4:0:0 [current]
>Jan 13 20:47:12 media-linux kernel: [ 264.367664] sd 4i [current]

that is, incomplete versions of the lines I was excluding.

There also seem to be a lot of errors in the log that wouldn't normally be there (perhaps explaining the long delay on the boot splash screen while X tries to get up and running) I assume these are caused by updates I have included in order to try and get the dd and klogd errors sorted.

Another question why is DD running at all? Is it not a disk data copying program?

Any advice (even where else to go to sort the issue) would be appreciated.

Jamie (superjamie) wrote :

@pauliephonic: This bug is only for Intel Wireless LAN. /sd 4:0:0:0/ indicates a storage problem. Have a look around the rest of Launchpad for the text in your logs, Google also indicates some users on Fedora 10 are experiencing the same issue. This bug is completely unrelated to your issue.

pauliephonic (pauliephonic) wrote :

Apologies, Bens comment way above with the same symptoms lead meto believe they were related.

regards,

Paul

Stefan Bader (smb) wrote :

The patch is still in the latest kernel source. Only the reference in the revert was broken:

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=commitdiff;h=4b14e44c5dc36bc963e4d26ba15b7e8988d91619

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=blob;f=drivers/net/wireless/iwlwifi/iwl-agn.c;h=3d5f2ba0d8782925f080c311b082561b14190177;hb=5f4cff12e701a09044f0a87d69e8a6f3dabe57ca#l3281

The revert was done to reapply the patch from the 2.6.27.7 stable patchset. It will get to updates hopefully soon now. There had been some regressions that needed fixing before that.

Christoph Korn (c-korn) wrote :

Thank you.

That was an explanation I was waiting for.

Christoph Korn (c-korn) wrote :

Is this fixed in 2.6.27-11-generic that has been released today?

Fabian A. Scherschel (fabsh) wrote :

It seems to be fixed for me with 2.6.27-11.

Christoph Korn (c-korn) wrote :

It also did not happen for me since version -11.

But the changelog does not mention this bug report.
And also it has not been marked as "fixed released" for intrepid.

Martin Pitt (pitti) wrote :

This was released to intrepid-updates a while ago.

Changed in linux:
status: Fix Committed → Fix Released
John Trostel (jtrostel) wrote :

This bug STILL affects the amd-64 version of the kernel as far as I can tell...
running 2.6.27-13-generic #1 SMP on 64-bit system

Hmm, upgrading to 2.6.12-11 on an 64-bit system (ThinkPad T500, Intel Core 2 Duo processor) with 64-bit binaries installed did actually fix this problem for me...

Launchpad Janitor (janitor) wrote :
Download full text (164.3 KiB)

This bug was fixed in the package linux - 2.6.28-9.30

---------------
linux (2.6.28-9.30) jaunty; urgency=low

  [ Amit Kucheria ]

  * ARM:mx51 Add SoC and board support for mx51 platforms
  * ARM:mx51 Add CONFIG_ARCH_MXC_CANONICAL to disable parts of Freescale's
    code
  * MMC: Add support for 8-bit cards
  * Add ARM:MX51 SoC support to the build system
  * ARM: Make ARM arch aware of ubuntu/ drivers
  * ARM: Add imx51 configuration
  * Disable d-i modules for imx51 and mv78xx0
  * Disable Apparmor on boot for ARM
  * Updating imx51 config

  [ Jason Liu ]

  * Do not use OOB with MLC NAND

  [ Richard Zhu ]

  * Support the eMMC4.3 card

  [ Rob Herring ]

  * ARM: Add more cache memory types macros

  [ Tim Gardner ]

  * Set CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y for i386/amd64/lpia

  [ Manoj Iyer ]

  * Enable CONFIG_RTL8187SE=m

  [ Upstream Kernel Changes ]

  * USB: EHCI: slow down ITD reuse
    - LP: #329437

linux (2.6.28-9.29) jaunty; urgency=low

  [ Andy Whitcroft ]

  * link-headers -- only link directories which do not already exist
    - LP: #315252

  [ Daniel Marjamäki ]

  * SAUCE: (drop after 2.6.28) netxen: fix memory leak in
    drivers/net/netxen_nic_init.c
    - LP: #330813

  [ Dhananjay Phadke ]

  * SAUCE: (drop after 2.6.28) netxen: fix endianness in firmware commands
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix ipv6 offload and tx cleanup
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix link speed reporting for some
    boards
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: firmware init fix
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: cleanup mac list on driver unload
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: hold tx lock while sending firmware
    commands
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: handle dma mapping failures
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: avoid invalid iounmap
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: include ipv6.h (fixes build failure)
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix vlan tso/checksum offload
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: reduce memory footprint
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: revert jumbo ringsize
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix msi-x interrupt handling
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: remove pcie workaround
    - LP: #330813

  [ Hannes Eder ]

  * SAUCE: (drop after 2.6.28) drivers/net/netxen: fix sparse warnings: use
    NULL pointer instead of plain integer
    - LP: #330813

  [ Huaxu Wan ]

  * SAUCE: report rfkill changes event if interface is down
    - LP: #193970

  [ Tim Gardner ]

  * MV78XX0 must specify a target in the vars definition.

  [ Upstream Kernel Changes ]

  * Revert "ext4: wait on all pending commits in ext4_sync_fs()"
  * jbd2: Fix return value of jbd2_journal_start_commit()
  * jbd2: Avoid possible NULL dereference in
    jbd2_journal_begin_ordered_truncate()
  * ext4: Fix to read empty directory blocks correctly in 64k
  * ext4: Fix lockdep warning
  * ext4: Initialize preallocation list_head's properly
  *...

Changed in linux:
status: Triaged → Fix Released
Changed in linux:
status: Fix Released → In Progress
Changed in linux:
status: In Progress → Fix Released
John Trostel (jtrostel) wrote :

Finally resolved with my 64-bit system after upgrading to 2.6.28-11 (i.e. ubuntu 9.04)

Lucio Crusca (lucrus) wrote :

Seen again in Jaunty:

[13923.885347] BUG: scheduling while atomic: swapper/0/0x10010000
[13923.885357] Modules linked in: snd_usb_audio snd_usb_lib nls_cp437 cifs aes_i586 aes_generic binfmt_misc ppdev vboxnetadp vboxnetflt vboxdrv snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm arc4 snd_seq_dummy snd_seq_oss ecb snd_seq_midi snd_rawmidi snd_seq_midi_event iwlagn pcmcia snd_seq joydev iwlcore snd_timer snd_seq_device nvidia(P) iptable_filter sdhci_pci snd soundcore uvcvideo yenta_socket sdhci ricoh_mmc ip_tables mac80211 snd_page_alloc rsrc_nonstatic psmouse pcmcia_core led_class dell_wmi cfg80211 x_tables serio_raw dell_laptop videodev lp v4l1_compat parport dcdbas ohci1394 ieee1394 video output e1000e intel_agp agpgart
[13923.885485]
[13923.885493] Pid: 0, comm: swapper Tainted: P (2.6.31-17-generic #54-Ubuntu) Precision M4400
[13923.885501] EIP: 0060:[<c0369f24>] EFLAGS: 00000282 CPU: 1
[13923.885512] EIP is at acpi_idle_enter_bm+0x255/0x286
[13923.885518] EAX: c080fe04 EBX: 000047d4 ECX: ffc2f606 EDX: 017fe000
[13923.885523] ESI: 00000000 EDI: f7219cc0 EBP: f7081f74 ESP: f7081f4c
[13923.885529] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[13923.885535] CR0: 8005003b CR2: b2d81000 CR3: 0081a000 CR4: 000406d0
[13923.885541] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[13923.885546] DR6: ffff0ff0 DR7: 00000400
[13923.885551] Call Trace:
[13923.885565] [<c0468796>] cpuidle_idle_call+0x76/0xd0
[13923.885573] [<c010202c>] cpu_idle+0x8c/0xd0
[13923.885584] [<c056c5a6>] start_secondary+0xc6/0xc8

$ uname -r
Linux precision 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 16:20:31 UTC 2009 i686 GNU/Linux

Should we reopen the bug?

Changed in intellinuxwireless:
importance: Unknown → High

extract form syslog:
Mar 23 03:50:02 DESKTOP kernel: [28745.176018] bad: scheduling from the idle thread!
Mar 23 03:50:02 DESKTOP kernel: [28745.176024] Pid: 0, comm: swapper Tainted: P 2.6.35-28-generic #49-Ubuntu
Mar 23 03:50:02 DESKTOP kernel: [28745.176027] Call Trace:
Mar 23 03:50:02 DESKTOP kernel: [28745.176032] [<c05c81b3>] ? printk+0x2d/0x32
Mar 23 03:50:02 DESKTOP kernel: [28745.176038] [<c0139790>] dequeue_task_idle+0x30/0x50
Mar 23 03:50:02 DESKTOP kernel: [28745.176042] [<c013f92b>] dequeue_task+0xdb/0xf0
Mar 23 03:50:02 DESKTOP kernel: [28745.176047] [<c013f965>] deactivate_task+0x25/0x30
Mar 23 03:50:02 DESKTOP kernel: [28745.176052] [<c05c87ea>] schedule+0x44a/0x7a0
Mar 23 03:50:02 DESKTOP kernel: [28745.176059] [<c05cb275>] ? apic_timer_interrupt+0x31/0x38
Mar 23 03:50:02Mar 23 03:50:33 DESKTOP kernel: [28776.067793] bad: scheduling from the idle thread!

yo@DESKTOP:~$ uname -a
Linux DESKTOP 2.6.35-28-generic #49-Ubuntu SMP Tue Mar 1 14:40:58 UTC 2011 i686 GNU/Linux

Ubuntu 10.10 (Maverick Meerkat). PC is a desktop no wireless.

Displaying first 40 and last 40 comments. View all 178 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.